package com.hzs.sale.wares;

import com.hzs.common.core.domain.R;

import java.util.Date;

/**
 * 商品对外提供接口
 */
public interface IWaresServiceApi {

    /**
     * 校验标签是否使用
     *
     * @param pkLabel 标签主键
     * @return
     */
    R<Boolean> checkLabelisUse(Integer pkLabel);

    /**
     * 修改自动上下架状态（自动上架）
     *
     * @param currentTime 当前时间
     */
    void updateByAutoStartAndAutoStart(Date currentTime);

    /**
     * 修改商品预售状态
     **/
    void waresPreSale();

    /**
     * 定时商品自动下架
     *
     * @param currentTime
     */
    void updateByAutoStartAndAutoEnd(Date currentTime);

}
